<h1 class="title">Установка и настройка АТС-коннектора «Простые звонки – Avaya»</h1>

<p class="attention">Внимание! АТС-коннектор Avaya может не работать или работать неправильно на некоторых АТС Avaya.
Мы не гарантируем, что сможем предоставить для вас полностью рабочее решение даже после
вмешательства наших программистов.</p>

<h2>1. Системные требования</h2>
<hr>

<p>АТС-коннектор устанавливается на сервер, подключенный к совместимой АТС Avaya через LAN
соединение.</p>

<p>Для установки и работы АТС-коннектора вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Windows 7, Windows 8, Windows Server 2008, Windows Server 2008 R2,
Windows Server 2012, Windows Server 2012 R2</li>
	<li>Microsoft Windows Installer 3.1</li>
	<li>Microsoft .NET Framework 2.0</li>
	<li>АТС Avaya IP Office 500</li>
	<li>Avaya IP Office TAPI 3 Driver</li>
	<li>Avaya CTI Link Pro лицензия</li>
	<li>Avaya VoiceMailPro лицензия для аудиозаписи телефонных разговоров</li>
</ul>

<p class="attention">Внимание! Для правильной работы функций «Всплывающая карточка» и «Умная переадресация» АТС
Avaya должна правильно определять номера входящих звонков с внешних линий.</p>

<h2>2. Проверьте перед установкой</h2>

<p>Перед установкой и настройкой АТС-коннектора, пожалуйста, проверьте:</p>
<ul>
	<li>Компьютер, на который вы устанавливаете АТС-коннектор, удовлетворяет системным требованиям</li>
	<li>У вас есть доступ к компьютеру с правами администратора</li>
	<li>У вас есть установочный файл <i>ProstieZvonki_Avaya.exe</i></li>
</ul>

<h2>3. Установка IP Office TAPI 3 Driver</h2>
<hr>

<p>Для работы TAPI драйвера вам потребуется купить IP Office CTI Link Pro лицензию для вашей АТС, или
вы можете бесплатно взять демо-версию на 60 дней у официальных дистрибьюторов Avaya.</p>

<p>После успешной активации CTI Link Pro лицензии приступайте к установке TAPI драйвера.</p>

<p>В качестве примера мы используем версию драйвера IP Office TAPI 3 Driver v1.0.0.40 для АТС Avaya IP
Office. Вы можете скачать TAPI 3 драйвер для АТС Avaya на <a target="_blank" href="http://prostiezvonki.ru/download">нашем сайте.</a></p>

<p class="attention">Внимание! Используйте только ту версию TAPI 3 драйвера, которая совместима с вашей АТС Avaya.</p>

<p>Запустите файл установки tapi3setup.exe и следуйте по инструкции установщика.</p>

<p>После установки вам нужно изменить настройки Avaya TSP следующим образом:</p>

<p>1. Откройте <strong>[Телефон и модем]</strong> в Панели Управления Windows:</p>
<p><img src="images/avaya/ustanovka_nastroyka_avaya_my_location.jpg" alt="настройка локации"></p>

<p>2. Создайте новое Размещение (если список Размещений пуст) или отредактируйте существующее таким
образом, чтобы «Код выхода на городскую линию» совпадал с кодом настроенным в АТС (по умолчанию
равен 9):</p>
<p><img src="images/avaya/ustanovka_nastroyka_avaya_location_information.jpg" alt="настройка размещения"></p>

<p>3. На вкладке <strong>[Дополнительно]</strong> выберите <strong>[Avaya IP Office TAPI3 Service Provider]</strong>:</p>
<p><img src="images/avaya/ustanovka_nastroyka_avaya_tapi_service.jpg" alt="настройка TAPI3 Service Provider"></p>

<p>4. Нажмите <strong>[Настроить...]:</strong></p>
<p><img src="images/avaya/ustanovka_nastroyka_avaya_tapi_configuration.jpg" alt="нажатие кнопки Настроить"></p>

<p>5. В данном окне нужно вписать IP адрес вашей АТС в поле Switch IP Address, выбрать Third Party и в
поле Switch Password вписать пароль для подключения к АТС (пароль совпадает с паролем для
подключения к АТС через программу IP Office Manager).</p>

<p>6. После внесения изменений вам потребуется перезагрузить компьютер.</p>

<p>шаблон teplates/install_pbx_connector.html</p>

<h2>5. Описание файла настроек АТС-коннектора</h2>
<hr>

<p>Для настройки АТС-коннектора найдите и откройте в текстовом редакторе конфигурационный файл
config.txt. Файл находится в папке с установленным АТС-коннектором:
<i>C:\ProgramFiles\Vedisoft\ProstieZvonki-Avaya</i></p>

<p>шаблон template/pbx_connector_settings.html</p>

<p>шаблон templates/ssl_settings.html</p>

<h2>7. Запуск АТС-коннектора</h2>
<hr>

<p>После установки и настройки АТС-коннектора перезагрузите компьютер. Запуск АТС-коннектора
происходит автоматически при старте системы.</p>

<p><strong>Проверьте, что АТС-коннектор запущен:</strong></p>

<p>1. Откройте окно «Службы»: «Панель управления» – «Администрирование» – «Службы».</p>

<p>2. Найдите сервис «Простые звонки: модуль Avaya».</p>

<p>3. Состояние сервиса должно быть «Работает».</p>

<p>В окне «Службы» вы также можете запускать и останавливать сервис вручную.</p>

<p><strong>Проверьте, что АТС-коннектор подключился к линиям АТС:</strong></p>

<p>1. Откройте окно «Просмотр событий»: «Панель управления» – «Администрирование» – «Просмотр
событий».</p>

<p>2. В разделе «Приложениях» найдите журнал «Avaya CTI».</p>

<p>3. Найдите в нем событие, где написано «Was registered XXX lines».</p>

<p>4. Если вместо XXX написано 0, то это означает, что АТС-коннектор не смог подключиться к линиям АТС.
Проверьте правильность установки и настройки Avaya TAPI 3 драйвера.</p>

<p>шаблон teplates/connect_crm_to_pbx_connector</p>
